 /* Letzte nderung: 11.05.02 16:34 */
 define alias Event
    limited entry (pointer, pointer, fixed bin (31))
    returns (byvalue fixed bin (31))
    options (byvalue);

 define alias Event_end_of_document
    limited entry (pointer)
    returns (byvalue fixed bin (31))
    options (byvalue);

 define alias Event_predefined_ref
    limited entry (pointer, char(1))
    returns (byvalue fixed bin (31))
    options (byvalue nodescriptor);

 define alias Event_character_ref
    limited entry (pointer, fixed bin (31))
    returns (byvalue fixed bin (31))
    options (byvalue);

 define alias Event_pi
    limited entry (pointer, pointer, fixed bin (31),
                   pointer, fixed bin (31))
    returns (byvalue fixed bin (31))
    options (byvalue);

 define alias Event_exception
    limited entry (pointer, pointer, fixed bin (31),
                   fixed bin (31))
    returns (byvalue fixed bin (31))
    options (byvalue);
 %page;
 dcl 1 SAX static,
       2 Start_of_document type Event init (SAX_event),
       2 Version_information type Event init (SAX_event),
       2 Encoding_declaration type Event init (SAX_event),
       2 Standalone_declaration type Event init (SAX_event),
       2 Document_type_declaration type Event init (SAX_event),
       2 End_of_document type Event_end_of_document
           init (SAX_event_end_of_document),
       2 Start_of_element type Event init (SAX_event),
       2 Attribute_name type Event init (SAX_event),
       2 Attribute_characters type Event init (SAX_event),
       2 Attribute_predefined_reference type Event_predefined_ref
           init (SAX_event_predefined_ref),
       2 Attribute_character_reference type Event_character_ref
           init (SAX_event_character_ref),
       2 End_of_element type Event init (SAX_event),
       2 Start_of_CDATA type Event init (SAX_event),
       2 End_of_CDATA type Event init (SAX_event),
       2 Content_characters type Event init (SAX_event),
       2 Content_predefined_reference type Event_predefined_ref
           init (SAX_event_predefined_ref),
       2 Content_character_reference type Event_character_ref
           init (SAX_event_character_ref),
       2 Processing_instruction type Event_pi init (SAX_event_pi),
       2 Comment type Event init (SAX_event),
       2 Unknown_attribute_reference type Event init (SAX_event),
       2 Unknown_content_reference type Event init (SAX_event),
       2 Start_of_prefix_mapping type Event init (SAX_event),
       2 End_of_prefix_mapping type Event init (SAX_event),
       2 Exception type Event_exception init (SAX_event_exception);
 dcl SAX_errorID fixed bin (31);
 dcl SAX_rc      fixed bin (31);
 %page;
 SAX_event_end_of_document:
 procedure (Usertoken)
    returns (byvalue fixed bin(31))
    options (byvalue);

 dcl Usertoken ptr;

 return (0);
 end;
 %page;
 SAX_event_pi:
 procedure (Usertoken, Pitarget, Pitargetlength,
            Pidata, Pidatalength)
    returns (byvalue fixed bin(31))
    options (byvalue);

 dcl Usertoken      ptr;
 dcl Pitarget       ptr;
 dcl PitargetLength fixed bin(31);
 dcl Pidata         ptr;
 dcl Pidatalength   fixed bin(31);

 return (0);
 end;
 %page;
 SAX_event:
 procedure (Usertoken, Xmltoken, Tokenlength)
    returns (byvalue fixed bin(31))
    options (byvalue);

 dcl Usertoken   ptr;
 dcl Xmltoken    ptr;
 dcl Tokenlength fixed bin(31);

 return (0);
 end;
 %page;
 SAX_event_predefined_ref:
 Content_predefined_reference:
 procedure (Usertoken, Reference)
    returns (byvalue fixed bin(31))
    options (byvalue);

 dcl Usertoken ptr;
 dcl Reference char (1);

 return (0);
 end;
 %page;
 SAX_event_character_ref:
 Content_character_reference:
 procedure (Usertoken, Reference)
    returns (byvalue fixed bin(31))
    options (byvalue);

 dcl Usertoken ptr;
 dcl Reference fixed bin(31);

 return (0);
 end;
 %page;
 SAX_event_exception:
 procedure (Usertoken, Xmltoken, Currentoffset, ErrorID)
    returns (byvalue fixed bin(31))
    options (byvalue);

 dcl Usertoken     ptr;
 dcl Xmltoken      ptr;
 dcl Currentoffset fixed bin(31);
 dcl ErrorID       fixed bin(31);

 SAX_ErrorID = ErrorId;
 SAX_rc = 0;
 signal condition (SAX_exception);
 return (SAX_rc);
 end;
